diff --git a/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
similarity index 89%
rename from src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
rename to game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
index bd0ddce0e..b047b70bb 100644
--- a/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
+++ b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
@@ -153,7 +153,7 @@ public class PacketHandlerClient extends PacketHandler
 
 
     @Override
-    public void handleLogin(LoginPacket loginPacket)
+    public void handleLogin(PacketLogin loginPacket)
     {
         mc.playerController = new PlayerControllerMP(mc, this);
         mc.statsCounter.add(StatList.joinMultiplayerStat, 1);
@@ -168,7 +168,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePickupSpawn(AddItemEntityPacket addItemEntityPacket)
+    public void handlePickupSpawn(PacketAddItemEntity addItemEntityPacket)
     {
         double x = addItemEntityPacket.xPosition / 32D;
         double y = addItemEntityPacket.yPosition / 32D;
@@ -185,7 +185,7 @@ public class PacketHandlerClient extends PacketHandler
 
 
     @Override
-    public void handleVehicleSpawn(AddEntityPacket addEntityPacket) {
+    public void handleVehicleSpawn(PacketAddEntity addEntityPacket) {
         if (!NetEntityHandler.hasType(addEntityPacket.type)){ return; }
         double xPosition = ((double) addEntityPacket.xPosition) / 32D;
         double yPosition = ((double) addEntityPacket.yPosition) / 32D;
@@ -215,13 +215,13 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleWeather(WeatherEffectPacket weatherEffectPacket)
+    public void handleWeather(PacketWeatherEffect weatherEffectPacket)
     {
         double x = (double) weatherEffectPacket.x / 32D;
         double y = (double) weatherEffectPacket.y / 32D;
         double z = (double) weatherEffectPacket.z / 32D;
         Entity weatherEntity = null;
-        if (weatherEffectPacket.effectId == WeatherEffectPacket.EFFECT_LIGHTNING) {
+        if (weatherEffectPacket.effectId == PacketWeatherEffect.EFFECT_LIGHTNING) {
             weatherEntity = new EntityLightning(worldClientMP, x, y, z);
         }
         if (weatherEntity != null)
@@ -237,7 +237,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleWeatherStatus(WeatherStatusPacket packet)
+    public void handleWeatherStatus(PacketWeatherStatus packet)
     {
         if (worldClientMP.dimension.id != packet.dimId) return;
         Weather currentWeather = packet.id == -1 ? null : Weathers.WEATHERS[packet.id];
@@ -246,7 +246,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityPainting(AddPaintingPacket addPaintingPacket)
+    public void handleEntityPainting(PacketAddPainting addPaintingPacket)
     {
         Entity entity = worldClientMP.getEntityFromId(addPaintingPacket.entityId);
         if (entity instanceof EntityPainting){
@@ -272,7 +272,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityVelocity(SetEntityMotionPacket setEntityMotionPacket)
+    public void handleEntityVelocity(PacketSetEntityMotion setEntityMotionPacket)
     {
         Entity entity = getEntityByID(setEntityMotionPacket.entityId);
         if (entity != null) {
@@ -281,7 +281,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityMetadata(SetEntityDataPacket setEntityDataPacket)
+    public void handleEntityMetadata(PacketSetEntityData setEntityDataPacket)
     {
         Entity entity = getEntityByID(setEntityDataPacket.entityId);
         if (entity != null && setEntityDataPacket.getUnpackedData() != null)
@@ -291,7 +291,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleNamedEntitySpawn(AddPlayerPacket addPlayerPacket)
+    public void handleNamedEntitySpawn(PacketAddPlayer addPlayerPacket)
     {
         double d = (double) addPlayerPacket.xPosition / 32D;
         double d1 = (double) addPlayerPacket.yPosition / 32D;
@@ -320,7 +320,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityTeleport(TeleportEntityPacket teleportEntityPacket)
+    public void handleEntityTeleport(PacketTeleportEntity teleportEntityPacket)
     {
         Entity entity = getEntityByID(teleportEntityPacket.id);
         if (entity != null) {
@@ -337,7 +337,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntity(MoveEntityPacket moveEntityPacket)
+    public void handleEntity(PacketMoveEntity moveEntityPacket)
     {
         Entity entity = getEntityByID(moveEntityPacket.id);
         if (entity != null) {
@@ -354,7 +354,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityTagData(EntityTagDataPacket entityTagDataPacket) {
+    public void handleEntityTagData(PacketEntityTagData entityTagDataPacket) {
         Entity entity = getEntityByID(entityTagDataPacket.entityId);
         if (entity != null) {
             entity.readAdditionalSaveData(entityTagDataPacket.tag);
@@ -362,7 +362,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleSetMobSpawner(SetMobSpawnerPacket setMobSpawnerPacket)
+    public void handleSetMobSpawner(PacketSetMobSpawner setMobSpawnerPacket)
     {
         if (mc.currentWorld.isBlockLoaded(setMobSpawnerPacket.xPosition, setMobSpawnerPacket.yPosition, setMobSpawnerPacket.zPosition))
         {
@@ -378,19 +378,19 @@ public class PacketHandlerClient extends PacketHandler
         }
     }
     @Override
-    public void handleSetHotbarOffset(SetHotbarOffsetPacket setHotbarOffsetPacket)
+    public void handleSetHotbarOffset(PacketSetHotbarOffset setHotbarOffsetPacket)
     {
         mc.thePlayer.inventory.setHotbarOffset(setHotbarOffsetPacket.hotbarOffset, true);
     }
 
     @Override
-    public void handleDestroyEntity(RemoveEntityPacket removeEntityPacket)
+    public void handleDestroyEntity(PacketRemoveEntity removeEntityPacket)
     {
         worldClientMP.removeEntityFromWorld(removeEntityPacket.entityId);
     }
 
     @Override
-    public void handleFlying(MovePlayerPacket movePlayerPacket)
+    public void handleFlying(PacketMovePlayer movePlayerPacket)
     {
         PlayerLocal entityplayersp = mc.thePlayer;
         double d = ((Player) (entityplayersp)).x;
@@ -427,13 +427,13 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePreChunk(ChunkVisibilityPacket chunkVisibilityPacket)
+    public void handlePreChunk(PacketChunkVisibility chunkVisibilityPacket)
     {
         worldClientMP.doPreChunk(chunkVisibilityPacket.chunkX, chunkVisibilityPacket.chunkZ, chunkVisibilityPacket.playerAdded);
     }
 
     @Override
-    public void handleMultiBlockChange(ChunkBlocksUpdatePacket chunkBlocksUpdatePacket)
+    public void handleMultiBlockChange(PacketChunkBlocksUpdate chunkBlocksUpdatePacket)
     {
         int xBase = chunkBlocksUpdatePacket.xChunk * 16;
         int zBase = chunkBlocksUpdatePacket.zChunk * 16;
@@ -453,20 +453,20 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleMapChunk(BlockRegionUpdatePacket blockRegionUpdatePacket)
+    public void handleMapChunk(PacketBlockRegionUpdate blockRegionUpdatePacket)
     {
         worldClientMP.removePositionTypesInBounds(blockRegionUpdatePacket.xPosition, blockRegionUpdatePacket.yPosition, blockRegionUpdatePacket.zPosition, (blockRegionUpdatePacket.xPosition + blockRegionUpdatePacket.xSize) - 1, (blockRegionUpdatePacket.yPosition + blockRegionUpdatePacket.ySize) - 1, (blockRegionUpdatePacket.zPosition + blockRegionUpdatePacket.zSize) - 1);
         worldClientMP.setChunkData(blockRegionUpdatePacket.xPosition, blockRegionUpdatePacket.yPosition, blockRegionUpdatePacket.zPosition, blockRegionUpdatePacket.xSize, blockRegionUpdatePacket.ySize, blockRegionUpdatePacket.zSize, blockRegionUpdatePacket.chunk);
     }
 
     @Override
-    public void handleBlockUpdate(BlockUpdatePacket blockUpdatePacket)
+    public void handleBlockUpdate(PacketBlockUpdate blockUpdatePacket)
     {
         worldClientMP.blockChange(blockUpdatePacket.xPosition, blockUpdatePacket.yPosition, blockUpdatePacket.zPosition, blockUpdatePacket.blockId, blockUpdatePacket.metadata);
     }
 
     @Override
-    public void handleKickDisconnect(DisconnectPacket packet255KickdisconnectPacket)
+    public void handleKickDisconnect(PacketDisconnect packet255KickdisconnectPacket)
     {
         netManager.networkShutdown("disconnect.kicked", new Object[0]);
         disconnected = true;
@@ -512,7 +512,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleCollect(TakeItemEntityPacket takeItemEntityPacket)
+    public void handleCollect(PacketTakeItemEntity takeItemEntityPacket)
     {
         Entity item = getEntityByID(takeItemEntityPacket.collectedEntityId);
         Entity collector = getEntityByID(takeItemEntityPacket.collectorEntityId);
@@ -531,13 +531,13 @@ public class PacketHandlerClient extends PacketHandler
     }
 
 	@Override
-	public void handleChat(ChatPacket packet) {
+	public void handleChat(PacketChat packet) {
 		String message;
 		if(packet.encrypted) {
 			try {
 				message = AES.decrypt(packet.message, AES.clientKeyChain);
 			}catch (Exception e) {
-				throw new RuntimeException(ChatPacket.ENCRYPTION_ERROR_MESSAGE, e);
+				throw new RuntimeException(PacketChat.ENCRYPTION_ERROR_MESSAGE, e);
 			}
 		}else {
 			message = packet.message;
@@ -551,18 +551,18 @@ public class PacketHandlerClient extends PacketHandler
 		}
 	}
 
-    public void handlePlayerJoin(ChatPacket chatPacket)
+    public void handlePlayerJoin(PacketChat chatPacket)
     {
         mc.hudIngame.addChatMessage(chatPacket.message);
     }
 
-    public void handlePlayerLeave(ChatPacket chatPacket)
+    public void handlePlayerLeave(PacketChat chatPacket)
     {
         mc.hudIngame.addChatMessage(chatPacket.message);
     }
 
     @Override
-    public void handleAnimation(AnimatePacket animatePacket)
+    public void handleAnimation(PacketAnimate animatePacket)
     {
         Entity entity = getEntityByID(animatePacket.entityId);
         if (entity == null)
@@ -591,7 +591,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleBoatControl(BoatControlPacket boatControlPacket)
+    public void handleBoatControl(PacketBoatControl boatControlPacket)
     {
         Entity e = worldClientMP.getEntityFromId(boatControlPacket.entityId);
         if (e instanceof EntityBoat) {
@@ -600,7 +600,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleSleep(SleepPacket sleepPacket)
+    public void handleSleep(PacketSleep sleepPacket)
     {
         Entity entity = getEntityByID(sleepPacket.entityID);
         if (entity == null)
@@ -615,14 +615,14 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleHandshake(PreLoginPacket preLoginPacket)
+    public void handleHandshake(PacketPreLogin preLoginPacket)
     {
         if (preLoginPacket.username.equals("-"))
         {
             try
             {
                 RSA.RSAKeyChain = RSA.generateKeyPair();
-                addToSendQueue(new LoginPacket(mc.session.username, mc.session.uuid, Global.MP_PROTOCOL_VERSION, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
+                addToSendQueue(new PacketLogin(mc.session.username, mc.session.uuid, Global.MP_PROTOCOL_VERSION, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
             }
             catch (Exception e)
             {
@@ -642,7 +642,7 @@ public class PacketHandlerClient extends PacketHandler
                     try
                     {
                         RSA.RSAKeyChain = RSA.generateKeyPair();
-                        addToSendQueue(new LoginPacket(mc.session.username, mc.session.uuid, Global.MP_PROTOCOL_VERSION, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
+                        addToSendQueue(new PacketLogin(mc.session.username, mc.session.uuid, Global.MP_PROTOCOL_VERSION, RSA.getPublicKey(RSA.RSAKeyChain.getPublic())));
                     }
                     catch (Exception e)
                     {
@@ -667,7 +667,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleSendKey(AESSendKeyPacket AESSendKeyPacket)
+    public void handleSendKey(PacketAESSendKey AESSendKeyPacket)
     {
         try
         {
@@ -680,7 +680,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePlayerList(PlayerListPacket playerListPacket)
+    public void handlePlayerList(PacketPlayerList playerListPacket)
     {
         playerList.clear();
         String[] players = playerListPacket.players;
@@ -699,7 +699,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleMobSpawn(AddMobPacket addMobPacket)
+    public void handleMobSpawn(PacketAddMob addMobPacket)
     {
         double d = (double) addMobPacket.x / 32D;
         double d1 = (double) addMobPacket.y / 32D;
@@ -724,20 +724,20 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleUpdateTime(SetTimePacket setTimePacket)
+    public void handleUpdateTime(PacketSetTime setTimePacket)
     {
         mc.currentWorld.setWorldTime(setTimePacket.time);
     }
 
     @Override
-    public void handleSpawnPosition(SetSpawnPositionPacket setSpawnPositionPacket)
+    public void handleSpawnPosition(PacketSetSpawnPosition setSpawnPositionPacket)
     {
         mc.thePlayer.setPlayerSpawnCoordinate(new ChunkCoordinates(setSpawnPositionPacket.x, setSpawnPositionPacket.y, setSpawnPositionPacket.z));
         mc.currentWorld.getLevelData().setSpawn(setSpawnPositionPacket.x, setSpawnPositionPacket.y, setSpawnPositionPacket.z);
     }
 
     @Override
-    public void handleAttachEntity(SetRidingPacket setRidingPacket)
+    public void handleAttachEntity(PacketSetRiding setRidingPacket)
     {
         Entity passenger = getEntityByID(setRidingPacket.passengerId);
         IVehicle vehicle;
@@ -756,7 +756,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityStatus(EnitityEventPacket enitityEventPacket)
+    public void handleEntityStatus(PacketEntityEvent enitityEventPacket)
     {
         Entity entity = getEntityByID(enitityEventPacket.entityId);
         if (entity != null)
@@ -778,13 +778,13 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleUpdateHealth(SetHealthPacket setHealthPacket)
+    public void handleUpdateHealth(PacketSetHealth setHealthPacket)
     {
         mc.thePlayer.setHealth(setHealthPacket.healthMP);
     }
 
     @Override
-    public void handleUpdatePlayerProfile(UpdatePlayerProfilePacket profilePacket)
+    public void handleUpdatePlayerProfile(PacketUpdatePlayerProfile profilePacket)
     {
         PlayerProfile playerProfile = new PlayerProfile(profilePacket.username, profilePacket.nickname, profilePacket.uuid, profilePacket.score, profilePacket.chatColor, profilePacket.isOperator);
         if (playerProfile.uuid.equals(mc.thePlayer.uuid))
@@ -810,7 +810,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleRespawn(RespawnPacket respawnPacket)
+    public void handleRespawn(PacketRespawn respawnPacket)
     {
         if (respawnPacket.respawnDimensionId != mc.thePlayer.dimension)
         {
@@ -825,7 +825,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleExplosion(ExplosionPacket explosionPacket)
+    public void handleExplosion(PacketExplosion explosionPacket)
     {
         Explosion explosion;
         if (explosionPacket.isCannonball)
@@ -842,50 +842,50 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleOpenWindow(ContainerOpenPacket containerOpenPacket)
+    public void handleOpenWindow(PacketContainerOpen containerOpenPacket)
     {
         switch (containerOpenPacket.inventoryType) {
-            case ContainerOpenPacket.TYPE_GENERIC_CONTAINER: {
+            case PacketContainerOpen.TYPE_GENERIC_CONTAINER: {
                 ContainerSimple simpleContainer = new ContainerSimple(containerOpenPacket.windowTitle, containerOpenPacket.slotsCount);
                 mc.thePlayer.displayContainerScreen(simpleContainer);
                 mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
                 break;
             }
-            case ContainerOpenPacket.TYPE_FURNACE: {
+            case PacketContainerOpen.TYPE_FURNACE: {
                 TileEntityFurnace tileEntityFurnace = new TileEntityFurnace();
                 mc.thePlayer.displayFurnaceScreen(tileEntityFurnace);
                 mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
                 break;
             }
-            case ContainerOpenPacket.TYPE_DISPENSER: {
+            case PacketContainerOpen.TYPE_DISPENSER: {
                 TileEntityDispenser tileEntityDispenser = new TileEntityDispenser();
                 mc.thePlayer.displayDispenserScreen(tileEntityDispenser);
                 mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
                 break;
             }
-            case ContainerOpenPacket.TYPE_ACTIVATOR: {
+            case PacketContainerOpen.TYPE_ACTIVATOR: {
                 TileEntityActivator tileEntityActivator = new TileEntityActivator();
                 mc.thePlayer.displayActivatorScreen(tileEntityActivator);
                 mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
                 break;
             }
-            case ContainerOpenPacket.TYPE_BLAST_FURNACE: {
+            case PacketContainerOpen.TYPE_BLAST_FURNACE: {
                 TileEntityFurnaceBlastFurnace tileEntityFurnaceBlast = new TileEntityFurnaceBlastFurnace();
                 mc.thePlayer.displayFurnaceScreen(tileEntityFurnaceBlast);
                 mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
                 break;
             }
-            case ContainerOpenPacket.TYPE_TROMMEL: {
+            case PacketContainerOpen.TYPE_TROMMEL: {
                 TileEntityTrommel tileEntityTrommel = new TileEntityTrommel();
                 mc.thePlayer.displayTrommelScreen(tileEntityTrommel);
                 mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
                 break;
             }
-            case ContainerOpenPacket.TYPE_PAINTING: {
+            case PacketContainerOpen.TYPE_PAINTING: {
                 mc.thePlayer.displayPaintingPickerScreen();
                 break;
             }
-            case ContainerOpenPacket.TYPE_CRAFTING: {
+            case PacketContainerOpen.TYPE_CRAFTING: {
                 PlayerLocal playerLocal = mc.thePlayer;
                 mc.thePlayer.displayWorkbenchScreen(MathHelper.floor(playerLocal.x), MathHelper.floor(playerLocal.y), MathHelper.floor(playerLocal.z));
                 mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
@@ -898,7 +898,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleOpenFlagWindow(FlagOpenPacket flagOpenPacket)
+    public void handleOpenFlagWindow(PacketFlagOpen flagOpenPacket)
     {
         TileEntity tileEntity = worldClientMP.getBlockEntity(flagOpenPacket.x, flagOpenPacket.y, flagOpenPacket.z);
         if (tileEntity instanceof TileEntityFlag)
@@ -910,13 +910,13 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePhotoMode(PhotoModePacket photoModePacket)
+    public void handlePhotoMode(PacketPhotoMode photoModePacket)
     {
         ScreenPause.photoModeDisabled = photoModePacket.disabled;
     }
 
     @Override
-    public void handleSetSlot(ContainerSetSlotPacket containerSetslotPacket)
+    public void handleSetSlot(PacketContainerSetSlot containerSetslotPacket)
     {
         if (containerSetslotPacket.windowId == -1)
         {
@@ -938,7 +938,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleTransaction(ContainerAckPacket containerAckPacket)
+    public void handleTransaction(PacketContainerAck containerAckPacket)
     {
         MenuAbstract container = null;
         if (containerAckPacket.windowId == 0)
@@ -958,13 +958,13 @@ public class PacketHandlerClient extends PacketHandler
             else
             {
                 container.rollbackToBackup(containerAckPacket.shortWindowId);
-                addToSendQueue(new ContainerAckPacket(containerAckPacket.windowId, containerAckPacket.shortWindowId, true));
+                addToSendQueue(new PacketContainerAck(containerAckPacket.windowId, containerAckPacket.shortWindowId, true));
             }
         }
     }
 
     @Override
-    public void handleWindowItems(ContainerSetContentPacket containerSetContentPacket)
+    public void handleWindowItems(PacketContainerSetContent containerSetContentPacket)
     {
         if (containerSetContentPacket.windowId == 0)
         {
@@ -977,7 +977,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleUpdateProgressbar(ContainerSetDataPacket containerSetDataPacket)
+    public void handleUpdateProgressbar(PacketContainerSetData containerSetDataPacket)
     {
         handleInvalidPacket(containerSetDataPacket);
         if (mc.thePlayer.craftingInventory != null && mc.thePlayer.craftingInventory.containerId == containerSetDataPacket.windowId)
@@ -987,7 +987,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePlayerInventory(SetEquippedItemPacket setEquippedItemPacket)
+    public void handlePlayerInventory(PacketSetEquippedItem setEquippedItemPacket)
     {
         Entity entity = getEntityByID(setEquippedItemPacket.entityID);
         if (entity != null)
@@ -997,7 +997,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePlayerHeldObject(SetHeldObjectPacket setHeldObjectPacket) {
+    public void handlePlayerHeldObject(PacketSetHeldObject setHeldObjectPacket) {
         Entity entity = getEntityByID(setHeldObjectPacket.entityID);
         if (entity != null) {
             entity.setHeldObject(setHeldObjectPacket.objectTag == null ? null : ICarriable.createAndLoadCarriable(entity, setHeldObjectPacket.objectTag));
@@ -1005,29 +1005,29 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleCloseWindow(ContainerClosePacket containerClosePacket)
+    public void handleCloseWindow(PacketContainerClose containerClosePacket)
     {
         mc.thePlayer.closeScreen();
     }
 
     @Override
-    public void handleBlockEvent(BlockEventPacket blockEventPacket)
+    public void handleBlockEvent(PacketBlockEvent blockEventPacket)
     {
         mc.currentWorld.triggerEvent(blockEventPacket.xLocation, blockEventPacket.yLocation, blockEventPacket.zLocation, blockEventPacket.index, blockEventPacket.data);
     }
 
     @Override
-    public void handleBed(BedMessagePacket bedMessagePacket)
+    public void handleBed(PacketBedMessage bedMessagePacket)
     {
         int state = bedMessagePacket.bedState;
-        if (state >= 0 && state < BedMessagePacket.BED_MESSAGE_KEYS.length && BedMessagePacket.BED_MESSAGE_KEYS[state] != null)
+        if (state >= 0 && state < PacketBedMessage.BED_MESSAGE_KEYS.length && PacketBedMessage.BED_MESSAGE_KEYS[state] != null)
         {
-            mc.thePlayer.sendTranslatedChatMessage(BedMessagePacket.BED_MESSAGE_KEYS[state]);
+            mc.thePlayer.sendTranslatedChatMessage(PacketBedMessage.BED_MESSAGE_KEYS[state]);
         }
     }
 
     @Override
-    public void handleMapData(MapDataPacket mapdataPacket)
+    public void handleMapData(PacketMapData mapdataPacket)
     {
         if (mapdataPacket.itemId == Items.MAP.id)
         {
@@ -1040,13 +1040,13 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePlaySoundEffect(PlaySoundEffectPacket playSoundEffectPacket)
+    public void handlePlaySoundEffect(PacketPlaySoundEffect playSoundEffectPacket)
     {
         mc.currentWorld.playBlockEvent(playSoundEffectPacket.soundID, playSoundEffectPacket.x, playSoundEffectPacket.y, playSoundEffectPacket.z, playSoundEffectPacket.data);
     }
 
 	@Override
-	public void handlePlaySoundDirectly(PlaySoundEffectDirectPacket packet) {
+	public void handlePlaySoundDirectly(PacketPlaySoundEffectDirect packet) {
 		String soundPath = SoundTypes.getSoundById(packet.soundId);
 		if(soundPath == null) {
 			return;
@@ -1055,7 +1055,7 @@ public class PacketHandlerClient extends PacketHandler
 	}
     
     @Override
-    public void handleSpawnParticle(AddParticlePacket addParticlePacket)
+    public void handleSpawnParticle(PacketAddParticle addParticlePacket)
     {
         if (addParticlePacket.isGroup){
             for (int i = 0; i < addParticlePacket.amount; i++) {
@@ -1084,13 +1084,13 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleStatistic(StatisticPacket statisticPacket)
+    public void handleStatistic(PacketStatistic statisticPacket)
     {
         mc.thePlayer.addStat(StatList.getStat(statisticPacket.statID), statisticPacket.valueChange);
     }
 
     @Override
-    public void handleEntityPlayerGamemode(PlayerGamemodePacket packet)
+    public void handleEntityPlayerGamemode(PacketPlayerGamemode packet)
     {
         Entity entity = getEntityByID(packet.entityId);
         if (entity instanceof Player){
@@ -1099,7 +1099,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityNickname(EntityNicknamePacket entityNicknamePacket)
+    public void handleEntityNickname(PacketEntityNickname entityNicknamePacket)
     {
         Entity entity = getEntityByID(entityNicknamePacket.entityId);
 
@@ -1116,12 +1116,12 @@ public class PacketHandlerClient extends PacketHandler
     }
     
     @Override
-    public void handleBlockItemSwitch(SetCarriedItemPacket setCarriedItemPacket) {
+    public void handleBlockItemSwitch(PacketSetCarriedItem setCarriedItemPacket) {
         mc.thePlayer.inventory.setCurrentItemIndex(setCarriedItemPacket.id, true);
     }
 
     @Override
-    public void handleTileEntityData(BlockEntityDataPacket blockEntityDataPacket)
+    public void handleTileEntityData(PacketBlockEntityData blockEntityDataPacket)
     {
         Class<?> clazz = TileEntityDispatcher.getClassFromID(blockEntityDataPacket.tag.getString("id"));
         if (clazz == null) return;
@@ -1142,7 +1142,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleGameRule(GameRulePacket packet) {
+    public void handleGameRule(PacketGameRule packet) {
         LevelData levelData = mc.currentWorld.getLevelData();
         if (packet.getGameRules() != null) {
             levelData.getGameRules().setValues(packet.getGameRules());
@@ -1150,7 +1150,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleSyncedRecipe(RecipeSyncPacket recipeSyncPacket) {
+    public void handleSyncedRecipe(PacketRecipeSync recipeSyncPacket) {
         if(Registries.RECIPES.getAllSerializableRecipes().isEmpty()){
             LOGGER.info("Receiving {} recipes from server..", recipeSyncPacket.maxRecipes);
         }
@@ -1168,16 +1168,16 @@ public class PacketHandlerClient extends PacketHandler
     }
     
     @Override
-    public void handleIds(SyncIDsPacket syncIDsPacket) {
-        if (syncIDsPacket.destinationId == SyncIDsPacket.DESTINATION_SOUND_IDS) {
+    public void handleIds(PacketSyncIDs syncIDsPacket) {
+        if (syncIDsPacket.destinationId == PacketSyncIDs.DESTINATION_SOUND_IDS) {
             SoundTypes.setSoundIds(syncIDsPacket.mapping);
-        } else if (syncIDsPacket.destinationId == SyncIDsPacket.DESTINATION_ENTITY_IDS) {
+        } else if (syncIDsPacket.destinationId == PacketSyncIDs.DESTINATION_ENTITY_IDS) {
             EntityDispatcher.setNumericIds(syncIDsPacket.mapping);
         }
     }
     
     @Override
-    public void handleCustomPayload(CustomPayloadPacket customPayloadPacket) {
+    public void handleCustomPayload(PacketCustomPayload customPayloadPacket) {
         if("BTA|RainbowStart".equals(customPayloadPacket.channel)) {
 //            System.out.printf("b0:%s b1:%s b2:%s b3:%s\n", packet.data[0], packet.data[1], packet.data[2], packet.data[3]);
             int rainbowTicks = Byte.toUnsignedInt(customPayloadPacket.data[0]) << 24 | Byte.toUnsignedInt(customPayloadPacket.data[1]) << 16 | Byte.toUnsignedInt(customPayloadPacket.data[2]) << 8 | Byte.toUnsignedInt(customPayloadPacket.data[3]);
@@ -1187,7 +1187,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleCommandManagerPacket(CommandManagerPacket commandManagerPacket) {
+    public void handleCommandManagerPacket(PacketCommandManager commandManagerPacket) {
         GuiElementChatSuggestions.serverSuggestions = commandManagerPacket.suggestions;
     }
 }
